Package it.ernytech.tdlib

## Class TdApi.PinSupergroupMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.PinSupergroupMessage

Enclosing class:
  TdApi

    public static class TdApi.PinSupergroupMessage
    extends TdApi.Function

Pins a message in a supergroup or channel; requires appropriate administrator rights in the supergroup or channel.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `disableNotification` True, if there should be no notification about the pinned message.
`long` `messageId` Identifier of the new pinned message.
`int` `supergroupId` Identifier of the supergroup or channel.

### Constructor Summary

Constructors
`PinSupergroupMessage()` Default constructor.
`PinSupergroupMessage​(int supergroupId, long messageId, boolean disableNotification)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Identifier of the supergroup or channel.

#### messageId

    public long messageId

Identifier of the new pinned message.

#### disableNotification

    public boolean disableNotification

True, if there should be no notification about the pinned message.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PinSupergroupMessage

    public PinSupergroupMessage()

Default constructor.

#### PinSupergroupMessage

    public PinSupergroupMessage​(int supergroupId,
                                long messageId,
                                boolean disableNotification)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Identifier of the supergroup or channel.
  `messageId` - Identifier of the new pinned message.
  `disableNotification` - True, if there should be no notification about the pinned message.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR